.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #2D3142;
    padding: 10px 20px;
    color: white;
    position: sticky;
    top: 0;
    z-index: 1500;
}

.header-logo {
    font-size: 24px;
    color: white;
    text-decoration: none;
}

.header-logo:hover {
    transition: .3s ease;
    color: #F87060;
}

.header-search {
    flex: 1;
    margin: 0 20px;
}

.header-search input {
    width: 100%;
}

.header-buttons {
    display: flex;
    align-items: center;
    gap: 5px;
}

.header-buttons>div {
    position: relative;
}

.header-buttons button {
    padding-top: 2px;
    padding-left: 7px;
    font-size: 16px;
    height: 32px;
    border: none;
    border-radius: 16px;
    cursor: pointer;
    color: white;
}

.header-login-button button {
    background-color: #EF8354;
}

.header-register-button button {
    background-color: #4F5D75;
}

.header-cart-button button {
    background-color: #EF8354;
    height: 32px;
    width: 32px;
}

.header-notification-button button {
    background-color: #EF8354;
    height: 32px;
    width: 32px;
}

.header-account-button {
    background-color: #EF8354;
    display: flex;
    align-items: center;
    cursor: pointer;
    border-radius: 16px;
    height: 32px;
    width: 32px;
}

.header-account-button .fa-user-circle {
    font-size: 20px;
    color: white;
}

.header-buttons button:hover {
    opacity: 0.9;
}

.account-dropdown {
    position: absolute;
    top: 40px;
    right: 0;
    background-color: #EF8354;
    color: white;
    border-radius: 16px;
    display: none;
    z-index: 1000;
    min-width: 150px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    padding: 5px;
}

.account-dropdown a {
    height: 32px;
    text-decoration: none;
    color: white;
    display: block;
    border-radius: 16px;
    line-height: 32px;
    padding-left: 5px;
    box-sizing: border-box;
}

.account-dropdown a:last-child {
    border-bottom: none;
}

.account-dropdown a:hover {
    transition: .3s ease;
    background-color: #4F5D75;
}

.notification-dropdown {
    position: absolute;
    top: 40px;
    right: 0;
    background-color: #EF8354;
    color: white;
    border-radius: 16px;
    display: none;
    z-index: 1000;
    min-width: 150px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    padding: 5px;
}

.notification-item a {
    height: 32px;
    text-decoration: none;
    color: white;
    display: block;
    padding-left: 5px;
    line-height: 32px;
    border-radius: 16px;
    box-sizing: border-box;
    margin-bottom: 5px;
}

.notification-item a:hover {
    transition: .3s ease;
    background-color: #4F5D75;
}

.notification-item.unseen a {
    font-weight: bold;
}

.notification-dot {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 10px;
    height: 10px;
    background: green;
    border-radius: 50%;
}

.header-browse-jobs-button {
    background-color: #EF8354;
    color: white;
    text-decoration: none;
    height: 32px;
    width: 128px;
    border-radius: 16px;
    display: flex;
    line-height: 32px;
    justify-content: center;
}

.header-post-job-button {
    background-color: #4F5D75;
    color: white;
    text-decoration: none;
    height: 32px;
    width: 128px;
    border-radius: 16px;
    display: flex;
    line-height: 32px;
    justify-content: center;
}

.toggle-buttons {
    margin-bottom: 20px;
}

.toggle-buttons button {
    height: 32px;
    margin: 0 5px;
    border: none;
    border-radius: 16px;
    cursor: pointer;
    background-color: #F87060;
    color: white;
    font-size: 16px;
}

.toggle-buttons button.active {
    background-color: #B3A394;
}

.form-container {
    width: auto;
    margin: 5px;
}

.form-container.hidden {
    display: none;
}

.header-search {
    position: relative;
    display: inline-block;
}

.header-search input {
    outline: none;
    transition: all 0.2s ease;
    background-color: #4F5D75;
    color: white;
}

.header-search input::placeholder {
    color: white;
}

.header-search .search-icon,
.header-search .clear-icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 14px;
    cursor: pointer;
    color: white;
}

.header-search .search-icon {
    right: 8px;
}

.header-search .clear-icon {
    right: 8px;
    display: none;
}

.header-search input:not(:placeholder-shown)+.clear-icon {
    display: block;
}


.menu-toggle {
    display: none;
    font-size: 24px;
    background: none;
    border: none;
    color: white;
    cursor: pointer;
}

.mobile-menu {
    position: fixed;
    top: 0;
    right: -300px;
    width: 260px;
    height: 100%;
    background-color: #2D3142;
    color: white;
    transition: right 0.3s ease;
    z-index: 2000;
    padding: 5px;
    overflow-y: auto;
}

.mobile-menu.active {
    right: 0;
}

.mobile-menu .close-menu {
    background: none;
    border: none;
    font-size: 28px;
    color: white;
    cursor: pointer;
    display: block;
    margin-left: auto;
}

.mobile-menu .mobile-menu-links>a {
    display: block;
    margin: 15px 0;
    color: white;
    text-decoration: none;
    font-size: 16px;
    border-radius: 16px;
    padding: 6px 10px;
    background-color: #EF8354;
}

.mobile-menu .mobile-menu-links a:hover {
    background-color: #4F5D75;
}

.mobile-dropdown {
    margin-top: 15px;
    margin-bottom: 15px;
}

.mobile-dropdown.open {
    margin-bottom: 8px;
}

.mobile-dropdown-toggle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #EF8354;
    padding: 6px 10px;
    border-radius: 16px;
    color: white;
    text-decoration: none;
    font-size: 16px;
    cursor: pointer;
}

.mobile-dropdown-toggle:hover {
    background-color: #4F5D75;
}

.mobile-dropdown-toggle:hover {
    background-color: #4F5D75;
}

.mobile-dropdown-toggle i {
    font-size: 12px;
    transition: transform 0.3s ease;
    margin-left: 8px;
}

.mobile-dropdown.open .mobile-dropdown-toggle i {
    transform: rotate(180deg);
}

.mobile-dropdown-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    margin-left: 10px;
    margin-right: 10px;
}

.mobile-dropdown.open .mobile-dropdown-content {
    max-height: 500px;
    margin-top: 15px;
}

.mobile-dropdown-content a {
    display: block;
    margin: 8px 0;
    padding: 6px 10px;
    background-color: #4F5D75;
    border-radius: 16px;
    color: white;
    text-decoration: none;
    font-size: 14px;
}

.mobile-dropdown-content a:first-child {
    margin-top: 0;
}

.mobile-dropdown-content a:hover {
    background-color: #EF8354;
}

@media screen and (max-width: 992px) {
    .header-buttons {
        display: none;
    }

    .menu-toggle {
        display: block;
    }
}

.dropdown-has-sub {
    position: relative;
}

.submenu-toggle {
    cursor: pointer;
}

.account-submenu {
    position: absolute;
    top: 0;
    left: -154px;
    min-width: 150px;
    background-color: #EF8354;
    display: none;
    border-radius: 16px;
    padding: 5px;
    z-index: 2000;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.account-submenu a {
    display: block;
    height: 32px;
    line-height: 32px;
    padding-left: 5px;
    text-decoration: none;
    border-radius: 16px;
    color: white;
}

.account-submenu a:hover {
    background-color: #4F5D75;
}

.dropdown-has-sub.open .account-submenu {
    display: block;
}